> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Tax Rates

POST https://api.bigcommerce.com/stores/{store_hash}/v3/tax/rates
Content-Type: application/json

Create one or more tax rates. Tax rates must be associated with a `tax_zone_id`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/tax/tax-rates/create-tax-rates

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of Tax_RatePOST.

- `list of Tax_RatePOST`

## Response

### 200

OK

- `data` (list of Tax_Rate, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### Tax_RatePOST

- `class_rates` (list of TaxRatePostClassRatesItems, required) — Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
- `name` (string, required) — The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.
- `tax_zone_id` (integer, required) — ID of an associated tax zone. You must associate a tax rate with a tax zone.
- `enabled` (boolean, optional, default: true) — Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
- `priority` (integer, optional, default: 1) — Allows for compounding tax rates, common in certain jurisdictions.

### Tax_Rate

- `class_rates` (list of TaxRateClassRatesItems, optional) — Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
- `enabled` (boolean, optional, default: true) — Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
- `id` (integer, optional) — Tax Rate ID. Internal identifier to update and delete a specific tax rate.
- `name` (string, optional) — The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.
- `priority` (integer, optional, default: 1) — Allows for compounding tax rates, common in certain jurisdictions.
- `tax_zone_id` (integer, optional) — ID of an associated tax zone. You must associate a tax rate with a tax zone.

### MetaOpen

Response metadata.

### TaxRatePostClassRatesItems

- `rate` (double, required) — The tax rate that you apply to the items in a tax class.
- `tax_class_id` (integer, required) — ID of a tax class. You must associate a tax rate with a tax class. The rate will apply to all items in this tax class.

### TaxRateClassRatesItems

- `rate` (double, optional) — The tax rate that you apply to the items in a tax class.
- `tax_class_id` (integer, optional) — ID of a tax class. You must associate a tax rate with a tax class. The rate will apply to all the items in this tax class.

## Examples

**Request**

```json
[
  {
    "class_rates": [
      {
        "rate": 5,
        "tax_class_id": 0
      }
    ],
    "name": "Sales Tax",
    "tax_zone_id": 2,
    "enabled": true,
    "priority": 1
  }
]
```

**Response**

```json
{
  "data": [
    {
      "class_rates": [
        {
          "rate": 5,
          "tax_class_id": 0
        }
      ],
      "enabled": true,
      "id": 3,
      "name": "Sales Tax",
      "priority": 1,
      "tax_zone_id": 2
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/tax/rates"

payload = [
    {
        "class_rates": [
            {
                "rate": 5,
                "tax_class_id": 0
            }
        ],
        "name": "Sales Tax",
        "tax_zone_id": 2,
        "enabled": True,
        "priority": 1
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/tax/rates';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"class_rates":[{"rate":5,"tax_class_id":0}],"name":"Sales Tax","tax_zone_id":2,"enabled":true,"priority":1}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/tax/rates"

	payload := strings.NewReader("[\n  {\n    \"class_rates\": [\n      {\n        \"rate\": 5,\n        \"tax_class_id\": 0\n      }\n    ],\n    \"name\": \"Sales Tax\",\n    \"tax_zone_id\": 2,\n    \"enabled\": true,\n    \"priority\": 1\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/tax/rates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"class_rates\": [\n      {\n        \"rate\": 5,\n        \"tax_class_id\": 0\n      }\n    ],\n    \"name\": \"Sales Tax\",\n    \"tax_zone_id\": 2,\n    \"enabled\": true,\n    \"priority\": 1\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/tax/rates")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"class_rates\": [\n      {\n        \"rate\": 5,\n        \"tax_class_id\": 0\n      }\n    ],\n    \"name\": \"Sales Tax\",\n    \"tax_zone_id\": 2,\n    \"enabled\": true,\n    \"priority\": 1\n  }\n]")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/tax/rates', [
  'body' => '[
  {
    "class_rates": [
      {
        "rate": 5,
        "tax_class_id": 0
      }
    ],
    "name": "Sales Tax",
    "tax_zone_id": 2,
    "enabled": true,
    "priority": 1
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/tax/rates");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"class_rates\": [\n      {\n        \"rate\": 5,\n        \"tax_class_id\": 0\n      }\n    ],\n    \"name\": \"Sales Tax\",\n    \"tax_zone_id\": 2,\n    \"enabled\": true,\n    \"priority\": 1\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "class_rates": [
      [
        "rate": 5,
        "tax_class_id": 0
      ]
    ],
    "name": "Sales Tax",
    "tax_zone_id": 2,
    "enabled": true,
    "priority": 1
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/tax/rates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```